=== debian/control ===
Source: ros-dashing-pacmod3
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-can-msgs, ros-dashing-pacmod-msgs, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rclcpp-lifecycle, ros-dashing-std-msgs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/pacmod3
Standards-Version: 3.9.2

Package: ros-dashing-pacmod3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-can-msgs, ros-dashing-pacmod-msgs, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rclcpp-lifecycle, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: AutonomouStuff PACMod v3 Driver Package
